// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

import { Environment } from "@kangaroo-and-rabbit/kar-cw";

export const environment: Environment = {
	production: true,
	// URL of development API
	applName: "karideo",
	defaultServer: "karideo",
	server: {
		karideo: `${location.origin}/karideo/api`,
		karso: `${location.origin}/karso/api`,
	},
	ssoSite: `${location.origin}/karso/`,
	ssoSignIn: `${location.origin}/karso/signin/karideo/`,
	ssoSignUp: `${location.origin}/karso/signup/karideo/`,
	ssoSignOut: `${location.origin}/karso/signout/karideo/`,
	tokenStoredInPermanentStorage: false,
};

